
Redmine - Patch #7855

English translation

2011-03-14 12:50 - F. W.

Status: Closed Start date: 2011-03-14

Priority: Normal Due date:  

Assignee:  % Done: 90%

Category: Translations Estimated time: 0.00 hour

Target version:    

Description

"First name" and "Last name" is misspelled "Firstname" and "Lastname". Forums are twice called "Boards" instead of "Forums".

--- config/locales/en-GB.yml

+++ config/locales/en-GB.yml

@@ -205,8 +205,8 @@ en-GB:

   field_description: Description

   field_summary: Summary

   field_is_required: Required

-  field_firstname: Firstname

-  field_lastname: Lastname

+  field_firstname: First name

+  field_lastname: Last name

   field_mail: Email

   field_filename: File

   field_filesize: Size

@@ -392,7 +392,7 @@ en-GB:

   permission_browse_repository: Browse repository   

   permission_view_changesets: View changesets

   permission_commit_access: Commit access

-  permission_manage_boards: Manage boards

+  permission_manage_boards: Manage forums

   permission_view_messages: View messages

   permission_add_messages: Post messages

   permission_edit_messages: Edit messages

@@ -408,7 +408,7 @@ en-GB:

   project_module_files: Files

   project_module_wiki: Wiki

   project_module_repository: Repository

-  project_module_boards: Boards

+  project_module_boards: Forums

   label_user: User

   label_user_plural: Users

 
--- config/locales/en.yml

+++ config/locales/en.yml

@@ -210,8 +210,8 @@ en:

   field_description: Description

   field_summary: Summary

   field_is_required: Required

-  field_firstname: Firstname

-  field_lastname: Lastname

+  field_firstname: First name

+  field_lastname: Last name

   field_mail: Email

   field_filename: File

   field_filesize: Size

@@ -410,7 +410,7 @@ en:

   permission_browse_repository: Browse repository

   permission_view_changesets: View changesets

   permission_commit_access: Commit access

-  permission_manage_boards: Manage boards
+  permission_manage_boards: Manage forums

   permission_view_messages: View messages

   permission_add_messages: Post messages

   permission_edit_messages: Edit messages

@@ -427,7 +427,7 @@ en:

   project_module_files: Files

   project_module_wiki: Wiki

   project_module_repository: Repository

-  project_module_boards: Boards

+  project_module_boards: Forums

   project_module_calendar: Calendar

   project_module_gantt: Gantt

Associated revisions

Revision 5261 - 2011-03-30 18:44 - Jean-Philippe Lang

Translations updates by joergleis (#7855).

Revision 5262 - 2011-03-30 18:46 - Jean-Philippe Lang

Set native eol on en-GB.yml (#7855).

Revision 5263 - 2011-03-30 18:49 - Jean-Philippe Lang

Fixes en-GB translation for field_member_of_group and field_assigned_to_role (#7855).

Revision 5268 - 2011-03-31 18:46 - Toshi MARUYAMA

scm: git: fix annotate test due to changing en.yml (#8035, #7855).

Revision 5269 - 2011-04-01 02:11 - Toshi MARUYAMA

Fix annotate functional roles_controller_test.rb due fails to changing en.yml (#8035, #7855).

Revision 5270 - 2011-04-01 02:46 - Toshi MARUYAMA

Fix test/integration/api_test/users_test.rb fails due to changing en.yml (#8035, #7855).

History

#1 - 2011-03-14 14:05 - F. W.

- File en.yml added

- File en-GB.yml added

- % Done changed from 0 to 90

I've now also corrected "can not" to "cannot" and the spaces before question marks. I reordered the British English translation so that a diff shows the

differences to the American version (consequently, I also converted the British version to Unix line endings.)

What I didn't change (yet):

British contains a "currency" section, American doesn't

"field_member_of_group" and "field_assigned_to_role" have totally different translations

text_tip_issue_* refer to "task", and not "issue", in British

Why are some strings enclosed in quotations marks (either ' or ")?

Since I cannot change the issue's description, note that the diff is now incomplete. I attached the updated files.

#2 - 2011-03-14 20:27 - Etienne Massip

- Category set to Translations

#3 - 2011-03-23 07:51 - F. W.

Since these changes are very minor, I'd expect them to be merged in trunk. Are there any issues with it?

#4 - 2011-03-30 18:53 - Jean-Philippe Lang

- Status changed from New to Closed

F. W. wrote:
I've now also corrected "can not" to "cannot" and the spaces before question marks. I reordered the British English translation so that a diff

shows the differences to the American version (consequently, I also converted the British version to Unix line endings.)

 Your changes are merged in r5261.

Native eol svn property on en-GB.yml was missing, fixed in r5262.

What I didn't change (yet):

British contains a "currency" section, American doesn't

 Currencies are not actually used in Redmine core but it wouldn't be a bad thing to add it if a plugin needs it.

"field_member_of_group" and "field_assigned_to_role" have totally different translations

 It looks like it wasn't fixed in r4279 for en-GB.yml. Done in r5263.

text_tip_issue_* refer to "task", and not "issue", in British

 Maybe we can set it back to "issue" for consistency.

Why are some strings enclosed in quotations marks (either ' or ")?

 It is sometimes required to make it a valid yaml file.

Files

en.yml 37.8 KB 2011-03-14 F. W.

en-GB.yml 37.9 KB 2011-03-14 F. W.
